summaryrefslogtreecommitdiff
path: root/solenv
diff options
context:
space:
mode:
Diffstat (limited to 'solenv')
-rw-r--r--solenv/bin/mapgen.pl3
-rwxr-xr-xsolenv/bin/ooinstall2
2 files changed, 3 insertions, 2 deletions
diff --git a/solenv/bin/mapgen.pl b/solenv/bin/mapgen.pl
index a427da997367..aa61043cebbf 100644
--- a/solenv/bin/mapgen.pl
+++ b/solenv/bin/mapgen.pl
@@ -135,8 +135,9 @@ sub filter_symbols {
$env_section = '1' and next if ((/^# SOLARIS #$/) && ($ENV{OS} eq 'SOLARIS'));
$env_section = '1' and next if ((/^# LINUX #$/) && ($ENV{OS} eq 'LINUX'));
$env_section = '1' and next if ((/^# FREEBSD #$/) && ($ENV{OS} eq 'FREEBSD'));
+ $env_section = '1' and next if ((/^# NETBSD #$/) && ($ENV{OS} eq 'NETBSD'));
$env_section = '1' and next if ((/^# OPENBSD #$/) && ($ENV{OS} eq 'OPENBSD'));
- last if ($env_section && ((/^# SOLARIS #$/) || (/^# FREEBSD #$/) || (/^# LINUX #$/) || (/^# OPENBSD #$/)));
+ last if ($env_section && ((/^# SOLARIS #$/) || (/^# FREEBSD #$/) || (/^# LINUX #$/) || (/^# NETBSD #$/) || (/^# OPENBSD #$/)));
next if (!$_ || /^#/);
push(@filters, $_);
};
diff --git a/solenv/bin/ooinstall b/solenv/bin/ooinstall
index ade407278aec..e718b8aabcbb 100755
--- a/solenv/bin/ooinstall
+++ b/solenv/bin/ooinstall
@@ -14,7 +14,7 @@ use Cwd;
$path = '';
$do_link = 0;
-( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) || die "The installer cannot work without javaldx running, which requires /proc to be mounted";
+( $^O =~ /netbsd/i ) || ( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) || die "The installer cannot work without javaldx running, which requires /proc to be mounted";
# Workaround for system Mozilla
if ( $ENV{'SYSTEM_MOZILLA'} eq 'YES' ) {